//
// Classe qui recoit des appels  partir de Blocks pour pouvoir ragir 
// sur les evenements importants
//

import java.util.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;

//
// Reagit sur des evennements venant du jeu Blocks
//
public class EventHandler {
    // Utilis pour appel facile  partir de Blocks
    public static EventHandler This;

    // Reference vers une classe qui permet d'afficher des trucs
    private Display mDisplay;

    // Nom du joueur
    private String  mName;
    
    // Constructeur
    EventHandler(Display display, String name) {
	mDisplay = display;
	mName = name;
    }

    //-------------------------------------------------------------------------
    // Appel quand fentre est ferme
    public void shutdown() {
    }

    // Appel au dbut d'une nouvelle partie 
    public void initNewGame(String [] args) {
    }

    // Demande un nouveau block
    public int getRandomShapeNr() {
	return (int) (Math.random()*7.0);
    }

    // Appel quand le score du joueur augmente
    public void addScore(int s) {
    }

    // Appel quand le nombre de lines du joueur augmente
    public void addLines(int ln) {
    }
}
